---
lang: en
title: 'API docs: boot.isclass'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.isclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [isClass](./boot.isclass.md)

## isClass() function

Given a function, returns true if it is a class, false otherwise.

<b>Signature:</b>

```typescript
export declare function isClass(target: any): target is Constructor<any>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>any</code> | The function to check if it's a class or not. |

<b>Returns:</b>

`target is Constructor<any>`

True if target is a class. False otherwise.


